# Welcome to babel-plugin-react-chaos 👋
![Version](https://img.shields.io/badge/version-0.0.1-blue.svg?cacheSeconds=2592000)
[![Documentation](https://img.shields.io/badge/documentation-yes-brightgreen.svg)](https://github.com/SugarTurboS/babel-plugin-react-chaos#readme)
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/SugarTurboS/babel-plugin-react-chaos/graphs/commit-activity)
[![License: MIT](https://img.shields.io/github/license/SugarTurboS/babel-plugin-react-chaos)](https://github.com/SugarTurboS/babel-plugin-react-chaos/blob/master/LICENSE)

> Babel plugin for react-chaos

Auto wrap your react components with [react-chaos](https://github.com/jchiatt/react-chaos)

### 🏠 [Homepage](https://github.com/SugarTurboS/babel-plugin-react-chaos#readme)

## Install

```sh
npm install react-chaos

npm install babel-plugin-react-chaos
```

## Usage

```js
//.babelrc
plugins: [
    ["babel-plugin-react-chaos",{
        chaosLevel: 5 //default 5
    }]
]
```

## Principle

Your source react component

```js
import React from 'react'

function Hello(){
    return (
        <div>Hello</div>
    )
}

export default Hello;
```

transform to

```js
import React from 'react'
import withChaos from 'react-chaos'

function Hello(){
    return (
        <div>Hello</div>
    )
}

export default withChaos(Hello, |chaosLevel|);
```


## Author

👤 **ForeverPx**

* Github: [@SugarTurboS](https://github.com/SugarTurboS)

## 🤝 Contributing

Contributions, issues and feature requests are welcome!

Feel free to check [issues page](https://github.com/SugarTurboS/babel-plugin-react-chaos/issues). You can also take a look at the [contributing guide](https://github.com/SugarTurboS/babel-plugin-react-chaos/blob/master/CONTRIBUTING.md).

## Show your support

Give a ⭐️ if this project helped you!


## 📝 License

Copyright © 2020 [ForeverPx](https://github.com/SugarTurboS).

This project is [MIT](https://github.com/SugarTurboS/babel-plugin-react-chaos/blob/master/LICENSE) licensed.

***
_This README was generated with ❤️ by [readme-md-generator](https://github.com/kefranabg/readme-md-generator)_